#menu__toggle {
  opacity: 0;
}
#menu__toggle:checked + .menu__btn > span {
  transform: rotate(45deg);
}
#menu__toggle:checked + .menu__btn > span::before {
  top: 0;
  transform: rotate(0deg);
}
#menu__toggle:checked + .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}
#menu__toggle:checked ~ .menu__box {
  right: 0 !important;

}
.hamburger-menu{
  z-index: 65;
}
.menu__btn {
  position: fixed;
  top: 45px;
  right: 30px;
  width: 46px;
  height: 46px;
  cursor: pointer;
  z-index: 1;
}
.menu__btn > span {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #ffffff;
  transition-duration: .35s;
}
.menu__btn > span::before {
  content: '';
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
    transition-duration: .35s;
  top: -8px;
background-color: #020202;
}
.menu__btn > span::after {
  content: '';
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
    transition-duration: .35s;
  top: 8px;
  background-color: #020202;
}

.menu__box {
  display: block;
  position: fixed;
  text-align: center;
  top: 0;
  right: -100%;
  float: right;
  width: 35vw;
  height: 100%;
  margin: 0;
  padding:0;
  list-style: none;
  background-color: #ECEFF1;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, .4);
  transition-duration: .4s;
}
.menu__item {
  display: block;
  padding: 12px 45px;
  text-align: center;
  color: #333;
  font-family: 'Roboto', sans-serif;
  font-size: 35px;
  font-weight: 600;
  text-decoration: none;
  transition-duration: .25s;

}


.drop{
    color: #7c7b7b;
}



.dropdown-btn {
  padding: 15px 20px 6px 16px;
  text-decoration: none;
  font-size: 35px;
  color: #333;
  font-family: 'Roboto', sans-serif;
  font-weight: 600;
  display: block;
  border: none;
  background: none;
  width: 100%;
  text-align: center;
  outline: none;
}

.dropdown-container {
  display: none;
  background-color: inherit;
  text-align: center;
}

.arrow {
  border: solid black;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
}

.down {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}
